Skip to main content
POST
Disable an export and stop delivery

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Headers

X-Request-Id
string

Client-supplied request correlation ID

Path Parameters

orgId
string
required

Organization ID

exportType
string
required

Export type, e.g. datadog-json or s3

Response

OK

destination
object
required
enabled
boolean
required
export_type
string
required
organization_id
string
required
resources_ready
boolean
required
runtime_status
object
required
settings
object
required
stream_name
string
required
stream_ready
boolean
required
updated_at
string<date-time>
required